name: Continuous Integration

on:
  push:
    branches:
      - main
  pull_request:
    branches:
      - main

jobs:
  build:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout code
        uses: actions/checkout@v2

      - name: Build Docker image
        run: docker build -t evorachair .

      - name: Run tests
        run: docker run --rm evorachair npm test
name: Continuous Deployment

on:
  push:
    branches:
      - main

jobs:
  deploy:
    runs-on: ubuntu-latest

    steps:
      - name: Checkout code
        uses: actions/checkout@v2

      - name: Login to Heroku
        uses: akhileshns/heroku-deploy@v3.12.12
        with:
          heroku_api_key: ${{ secrets.HEROKU_API_KEY }}
          heroku_email: ${{ secrets.HEROKU_EMAIL }}
          heroku_app_name: evorachair

      - name: Build and Deploy to Heroku
        run: |
          docker build -t registry.heroku.com/evorachair/web .
          docker login --username=_ --password=$(heroku auth:token) registry.heroku.com
          docker push registry.heroku.com/evorachair/web
          heroku container:release web -a evorachair
